#include <maps/wikimap/mapspro/services/mrc/drive/firmware_updater/libs/unittest/include/unittest_config.h>

#include <maps/libs/config/include/config.h>
#include <maps/libs/vault_boy/include/secrets.h>

#include <memory>

namespace maps::fw_updater::unittest {

config::SharedXmlDoc readUnittestConfig() {
    std::string configData = vault_boy::RandomContext{}.renderTemplate(
        maps::config::readConfigFile("t-config.unittest.xml"));
    return std::make_shared<xml3::Doc>(xml3::Doc::fromString(configData));
}

} // namespace maps::fw_updater::unittest
